import App

def Create(pTorp):
	kOuterShellColor = App.TGColorA()
	kOuterShellColor.SetRGBA(0.996078431, 0.858823529, 0.439275686, 1.0)	
	kOuterCoreColor = App.TGColorA()
	kOuterCoreColor.SetRGBA(0.996078431, 0.858823529, 0.439275686, 1.0)

	pTorp.CreateDisruptorModel(kOuterShellColor,kOuterCoreColor, 12.0, 0.2) 	
	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.21)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHASEDPLASMA)

	return(1)

def GetLaunchSpeed():
	return(20)

def GetLaunchSound():
	return("FighterTorpedo")

def GetPowerCost():
	return(30.0)

def GetName():
	return("FighterTorpedo")

def GetDamage():
	return 1500

def GetMinDamage():
	return 1000

def GetPercentage():
	return 1000

def GetGuidanceLifetime():
	return 12

def GetMaxAngularAccel():
	return 200
