import App

def Create(pTorp):

	kOuterShellColor = App.TGColorA()
	kOuterShellColor.SetRGBA(1.0, 0.8, 0.0, 1.0)	
	kOuterCoreColor = App.TGColorA()
	kOuterCoreColor.SetRGBA(1.0, 0.8, 0.0, 1.0)
	pTorp.CreateDisruptorModel(kOuterShellColor,kOuterCoreColor, 11, 0.6) 	

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.17)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )
	pTorp.SetLifetime( GetLifetime() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.KESSOKDISRUPTOR)

	return(0)

def GetLaunchSpeed():
	return(50.0)

def GetLaunchSound():
	return("AntimatterGun")

def GetPowerCost():
	return(130.0)

def GetName():
	return("AntimatterGun")

def GetDamage():
	return 200

def GetGuidanceLifetime():
	return 2.0

def GetMaxAngularAccel():
	return 0.35

def GetLifetime():
	return 12.0
