import App

def Create(pTorp):

	kOuterShellColor = App.TGColorA()
	kOuterShellColor.SetRGBA(1.0, 1.0, 0.5, 1.0)	
	kOuterCoreColor = App.TGColorA()
	kOuterCoreColor.SetRGBA(1.0, 1.0, 0.5, 1.0)
	pTorp.CreateDisruptorModel(kOuterShellColor,kOuterCoreColor, 10.0, 0.1) 	

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.20)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )
	pTorp.SetLifetime( GetLifetime() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.DISRUPTOR)

	return(0)

def GetLaunchSpeed():
	return(30.0)

def GetLaunchSound():
	return("PhotonGun")

def GetPowerCost():
	return(30.0)

def GetName():
	return("PhotonGun")

def GetDamage():
	return 32

def GetGuidanceLifetime():
	return 0.5

def GetMaxAngularAccel():
	return 0.25

def GetLifetime():
	return 12.0
