import App

def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(222.0 / 255.0, 222.0 / 255.0, 253.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(61.0 / 255.0, 98.0 / 255.0, 239.0 / 255.0, 1.000000)	

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TorpedoCore.tga",
					kCoreColor, 
					0.1,
					1.0,	 
					"data/Textures/Tactical/ReaperCannonGlow.tga", 
					kGlowColor,
					1.0,	
					0.2,	 
					0.2,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kGlowColor,										
					0,		
					0,		
					0)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(.50)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.TORPTEST)

	return(0)

def GetLaunchSpeed():
	return(20.0)

def GetLaunchSound():
	return("ReaperCannon")

def GetPowerCost():
	return(30.0)

def GetName():
	return("ReaperCannon")

def GetDamage():
	return 35

def GetMinDamage():
	return 35

def GetPercentage():
	return 1.05

def GetGuidanceLifetime():
	return 6.0

def GetMaxAngularAccel():
	return 1.45
